summaryrefslogtreecommitdiff
path: root/src/jp2k-stereo-crypt-tst.sh
diff options
context:
space:
mode:
authormsheby <msheby@cinecert.com>2008-02-20 23:42:34 +0000
committermsheby <>2008-02-20 23:42:34 +0000
commit205957669e1b4502c579227e3bf6cc1a2bf296ea (patch)
treeb087105e276a742b01fd0ac238b280940bc74c87 /src/jp2k-stereo-crypt-tst.sh
parent06af2732e92552974e180f136a18c9a625d017d5 (diff)
Update autotools-relevant files.
Diffstat (limited to 'src/jp2k-stereo-crypt-tst.sh')
-rwxr-xr-xsrc/jp2k-stereo-crypt-tst.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/src/jp2k-stereo-crypt-tst.sh b/src/jp2k-stereo-crypt-tst.sh
new file mode 100755
index 0000000..1b5d8ae
--- /dev/null
+++ b/src/jp2k-stereo-crypt-tst.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+# crypto JPEG 2000 stereoscopic tests
+
+${BUILD_DIR}/asdcp-test${EXEEXT} -k ${CRYPT_KEY} \
+ -3 -c ${TEST_FILES}/write_crypt_test_jp2k.mxf \
+ ${TEST_FILES}/${TEST_FILE_PREFIX} ${TEST_FILES}/${TEST_FILE_PREFIX}
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+${BUILD_DIR}/asdcp-test${EXEEXT} -i ${TEST_FILES}/write_crypt_test_jp2k.mxf
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+
+
+(${BUILD_DIR}/asdcp-test${EXEEXT} -k ${CRYPT_KEY_B} \
+ -3 -x ${TEST_FILES}/plaintext ${TEST_FILES}/write_crypt_test_jp2k.mxf; \
+ if [ $? -eq 1 ]; then exit 0; fi; exit 1 )
+${BUILD_DIR}/asdcp-test${EXEEXT} -m -k ${CRYPT_KEY} \
+ -3 -x ${TEST_FILES}/plaintext/${JP2K_PREFIX} ${TEST_FILES}/write_crypt_test_jp2k.mxf
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+for file in `ls ../test/${TEST_FILE_PREFIX}`; do \
+ echo "$file"; \
+ cmp ../test/${TEST_FILE_PREFIX}/$file ../test/plaintext/$file; \
+ if [ $? -ne 0 ]; then \
+ exit 1; \
+ fi; \
+done